Как понизить ядро на 11.10

17

Из-за использования высокой мощности я хотел бы понизить свое ядро в Ubuntu 11.10 до версии, используемой в 10.10 или 11.04. Как я могу это сделать и не вызовут никаких проблем?

    
задан Borsook 23.10.2011 в 21:49
источник

1 ответ

19

Как я могу сделать ...

Вы можете загрузить двоичные файлы ядра из старых или новых выпусков Ubuntu / 1 /.

Поиск пакетов Ubuntu: Ссылка

Выбор ядра natty-updates linux-image-2.6.38-10-generic: Ссылка

Загрузка и установка с помощью команды:

sudo dpkg -i linux-image-2.6.38-10-generic_2.6.38-10.46_i386.deb

Управление пакетами сообщает:

Selecting previously deselected package linux-image-2.6.38-10-generic.
(Reading database ... 127436 files and directories currently installed.)
Unpacking linux-image-2.6.38-10-generic (from linux-image-2.6.38-10-generic_2.6.38-10.46_i386.deb) ...
Done.
Setting up linux-image-2.6.38-10-generic (2.6.38-10.46) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 2.6.38-10-generic /boot/vmlinuz-2.6.38-10-generic
update-initramfs: Generating /boot/initrd.img-2.6.38-10-generic
run-parts: executing /etc/kernel/postinst.d/pm-utils 2.6.38-10-generic /boot/vmlinuz-2.6.38-10-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier 2.6.38-10-generic /boot/vmlinuz-2.6.38-10-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 2.6.38-10-generic /boot/vmlinuz-2.6.38-10-generic
Generating grub.cfg ...
Found background image: /lib/plymouth/themes/my-plymouth/my-wallpaper.png
Found linux image: /boot/vmlinuz-3.0.0-12-generic
Found initrd image: /boot/initrd.img-3.0.0-12-generic
Found linux image: /boot/vmlinuz-2.6.38-10-generic
Found initrd image: /boot/initrd.img-2.6.38-10-generic
Found memtest86+ image: /boot/memtest86+.bin
Found Microsoft Windows XP Professional on /dev/sda1
Found Ubuntu 10.10 (10.10) on /dev/sdd1
done

Перезагрузка

Выбор из grub > Предыдущие версии Linux > Ядро 2.6.38-10

... и (K) Ubuntu говорит, что я работаю с 2.6.38-10-generic / 2 /.

... не вызовет никаких проблем?

Ну;) вы могли бы рассказать нам ...

Ссылки

  1. Ссылка
  2. Ссылка
ответ дан user26687 23.10.2011 в 22:48
источник